<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# Exploiting Race Conditions In Binaries — API Reference

## Agent Script

| Command | Description |
|---------|-------------|
| `analyze --binary <val>` | Identify race condition windows |
| `exploit --binary <val> --race-type <val>` | Exploit TOCTOU race condition |
| `verify --binary <val>` | Verify exploitation success |
| `report --binary <val> --format <val>` | Generate exploitation report |

## Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `--binary` | string | Yes | Binary parameter |
| `--race-type` | string | Yes | Race Type parameter |
| `--format` | string | Yes | Format parameter |
